from flask import Flask
import os
from flask_cors import CORS


def create_app():
    SECRET_KEY = os.urandom(32)
    app = Flask(__name__)
    CORS(app, resources={r"/api/*": {"origins": "*"}})
    app.config['SECRET_KEY'] = SECRET_KEY

    from models.contents.routes import contents_app
    from models.manages.routes import manages_app
    
    app.register_blueprint(contents_app)

    app.register_blueprint(manages_app)

    return app
